/* Copyright Robin Schirrmeister and Simon Skilevic
 * Lecture Efficient Route Planning Summer Semester 2011
 * Uni Freiburg
 */

#ifndef ROUTEPLANNINGV2_NODEDEPENDENT_H_
#define ROUTEPLANNINGV2_NODEDEPENDENT_H_
#include <string>
using std::string;

class NodeDependent
{
public:
  NodeDependent(int id, double latitude, double longitude);
  //NodeDependent(int id, double latitude, double longitude, string StopIDName);
  int id;
  double latitude;
  double longitude;
  int straightLineDistanceTo(const NodeDependent& otherNode);
};
#endif  // ROUTEPLANNINGV2_NODEDEPENDENT_H_