/* Copyright Robin Schirrmeister and Simon Skilevic
 * Lecture Efficient Route Planning Summer Semester 2011
 * Uni Freiburg
 */
#include "./NodeDependent.h"
#include <math.h>
// _____________________________________________________________________________
NodeDependent::NodeDependent(int id, double latitude, double longitude)
{
  this->id = id;
  this->latitude = latitude;
  this->longitude = longitude;
}
/* _____________________________________________________________________________
NodeDependent::NodeDependent(int id, double latitude,
                             double longitude, string stopName)
{
  this->id = id;
  this->latitude = latitude;
  this->longitude = longitude;
  this->stopIDName = stopName;
}*/
// _____________________________________________________________________________
int NodeDependent::straightLineDistanceTo(const NodeDependent& otherNode)
{
  // times factor 1000000 otherwise always too close to 0.....
  // since only order matters later, not so horrible
  return sqrt(
               111.3 * ((otherNode.latitude - this->latitude) *
               (otherNode.latitude - this->latitude))
              +
               111.3 * ((otherNode.longitude - this->longitude) *
               (otherNode.longitude - this->longitude))
             );  //NOLINT , looks better this way no?
}